| Home | Libraries | People | FAQ | More

###### value::at_pointer (2 of 3 overloads)

Access an element via JSON Pointer.

###### Synopsis

    value&&
    at_pointer(
        string_view ptr);

###### Description

This function is used to access a (potentially nested) element of the value using a JSON Pointer string.

###### Complexity

Linear in the sizes of `ptr` and underlying array, object, or string.

###### Exception Safety

Strong guarantee.

###### Parameters

Name | Description
--- | ---
`ptr` | JSON Pointer string.

###### Return Value

reference to the element identified by `ptr`.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | if an error occurs.

###### See Also

RFC 6901 - JavaScript Object Notation (JSON) Pointer